gnutls_x509_dn_oid_known(3)

NAME
gnutls_x509_dn_oid_known - This function will return true if the given OID is known

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_dn_oid_known(const char * oid);

ARGUMENTS

const char * oid
    holds an Object Identifier in a null terminated string

DESCRIPTION
This function will inform about known DN OIDs. This is useful since functions like gnutls_x509_crt_set_dn_by_oid() use the information on known OIDs to properly encode their input. Object Identifiers that are not known are not encoded by these functions, and their input is stored directly into the ASN.1 structure. In that case of unknown OIDs, you have the responsibility of DER encoding your data. Returns 1 on known OIDs and 0 otherwise.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2004 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.